/*
 * board/cmx300/da9030.h
 *
 * C-Wrapper for the da9030 register get/set assembly interface
 * function for da9030.
 *
 * (C) Copyright 2010
 * Yulia Vilensky CompuLab, vilensky@compulab.co.il
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#include <common.h>

struct da9030_ops {
	int (*set_reg)(u32 reg, u32 val);
	int (*get_reg)(u32 reg, u32 *val);
};

struct da9030_ops *da9030_get_ops(void);
